--- title: "Projects" slug: "safran-project-integration-api-projects" updated: 2026-01-30T07:39:39Z published: 2026-01-30T07:39:39Z canonical: "docs.safran.com/safran-project-integration-api-projects" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.safran.com/llms.txt > Use this file to discover all available pages before exploring further. # Projects Projects## Projects ### /v1/projects/{id} Retrieves project details. Regarding the relation of network_id and project_id, see [project_previews](/v1/docs/project-previews) for more details. ### Example for calling: http://server/v1/projects?id=1 - Retrieves project having project_id = 1. http://server/v1/projects?network_id=2 - Retrieves project having network_id (net_id) = 2. http://server/v1/projects/2 - Retrieves project having network_id (net_id) = 2. http://server/v1/projects?owner=SAFRANSA - Retrieves project having SAFRANSA as the owner. http://server/v1/projects?meta_updated_after=2022-01-04T07:28:00.000 - Retrieves project which has been updated after given UTC time. http://server/v1/projects?Meta_updated_prior=2022-01-04T07:28:00.000 - Retrieves project which has been updated prior given UTC time. http://server/v1/projects - Retrieves all projects. ### Allowed Methods: [GET] API Controller: **Projects** ### Description: Retrieves the project details for specified project_id, or all projects if no id is specified. ### Request Fields: | Name | Type | Description | Notes | | --- | --- | --- | --- | | id | integer | Id of the project | [Optional] Returns all projects if none specified | | network_id | integer | id of the related network | [Optional] Returns all projects if none specified | | owner | string | Owner of the project | Relates to "[SafranWebApiOwnerVerificationDuringApiCalls](/v1/docs/safran-project-integration-api-application-settings)" in Application Settings | | item_guid | guid | guid of the project | [Optional] Returns all projects if none specified | | meta_updated_prior | string | Datetime in ISO-8601 format, using UTC time zone | [Optional] Find projects which was updated prior given time stamp. | | meta_updated_after | string | Datetime in ISO-8601 format, using UTC time zone | [Optional] Find projects which was updated after given time stamp. | - When "SafranWebAPIOwnerVerificationDuringApiCalls" is in use, one of id or network_id is mandatory. - Specifying owner and network id, will have the network id take priority. ### Response Fields | **Name** | **Type** | **Description** | **Notes** | | --- | --- | --- | --- | | project_id | integer | Unique project Id | | | project_name | string | Project name | | | project_title | string | Unique network Id | | | main_network | integer | Network name | | | project_start | datetime | Project start date | | | project_end | datetime | Project end date | | | project_client | string | Project client name (for report titles) | | | logo_bmp | string | path to company project logo (for reports) | | | client_bmp | string | path to client logo (for reports) | | | owner | string | Owners User Id | | | cut_off_dow | integer | Specifies day of week to be used for cut-offs | | | contractor | string | Contractor | | | freetext1 | string | User field – project text entry (for reports) | | | freetext2 | string | User field – project text entry (for reports) | | | freetext3 | string | User field – project text entry (for reports) | | | freetext4 | string | User field – project text entry (for reports) | | | mr_def_field | string | Possible future use | | | mr_def_value | integer | Possible future use | | | ub_def_field | string | Possible future use | | | ub_def_value | integer | Possible future use | | | network_id | integer | Network Id | | | network_name | string | Network name | | | description | string | Network description | | | ana_date | datetime | Last analyzed date | | | ana_tnow | datetime | Time Now for last analysis | | | user_id | integer | Owner User Id | | | na_date | datetime | Analysis invalidated date | | | user_name | string | Owner user name | | | cal_id | integer | Calendar set Id | | | profileset | integer | Profile set Id | | | codeset | integer | Codeset Id | | | derived_from | integer | Source network if network is a summary network. | | | calc_id | integer | Rule set Id | | | save_resource_flag | integer | Flag which tells if resource analysis results shall be saved to database | | | lock_scope | integer | Flag for preventing updates to scope | | | auto_sum_scope | integer | Flag for auto sum of qty from resources to the activity fields tsh, rsh and csh | | | resource_set | integer | Resource set related to the network | | | symbol_set | integer | Symbol set related to the network | | | os_scope | integer | Determines the scope for the On schedule activities to be calculated against | | | disable_split_targets | integer | Disable/enable flag for split targets | | | gsid | integer | Global set | | | prog_handling_method | integer | Set mark for progress drop during import | | | rate_type | integer | Rate type (simple/complex rates) | | | rate_set | integer | Rate set for complex rates | | | enterprisefield | [enterprisefield](/v1/docs/safran-project-integration-api-projects#enterprisefield) | Enterprise Fields for the project | | | subproject | [subproject](/v1/docs/safran-project-integration-api-projects#subproject) | Subproject details | | | item_guid | guid | GUID of the project | | | lastupdatedutc | datetime | Date and time when project was updated | Time is in Coordinated Universal Time | | lock_resource_option | integer | Option to Lock Resource Data | See version dependency below | | lock_resource_option_when | integer | When to Lock Resource Data | See version dependency below | Project Name and Network Name In connection with Safran Project 5 and Safran Project 7, both the “project_name” and “network_name” will be the same. Likewise for “project_title” and “network_description” lock_resource_option Pre 25.1.00 version - 0 = Never - 1 = Lock Quantities, Unit Rate and Cost - 2 = Lock Quantities, Unit Rate, Cost Lag, Duration, Profile, Calendar and VO NUMBER From 25.1.00 version - 0 = Do not Lock Duration, Lag, Profile, Calendar and Vo Numer - 1 = Do Lock Duration, Lag, Profile, Calendar and Vo Numer lock_resource_option_when Pre 25.1.00 version - 0 = When lock_resource_opt = 0 - 1 = When Baseline is set - 2 = When baseline or status is set From 25.1.00 version - 0 = Never - 1 = When baseline is set, Lock all Resource Data - 2 = When baseline and Status is set - 3 = When Baseline is set, Lock only Resource Data part of the Baseline scope #### enterprisefield | **Name** | **Type** | **Description** | **Notes** | | --- | --- | --- | --- | | euf_text(n) | string | Name of the field, also indicate field type | (n) indicates the field number | | value | string | The value of the field | | | label | string | Label of the field as shown on screen | | | **Name** | **Type** | **Description** | **Notes** | | --- | --- | --- | --- | | euf_date(n) | string | Name of the field, also indicate field type | (n) indicates the field number | | value | date | The value of the field | | | label | string | Label of the field as shown on screen | | | **Name** | **Type** | **Description** | **Notes** | | --- | --- | --- | --- | | euf_flag(n) | string | Name of the field, also indicate field type | (n) indicates the field number | | value | boolean | The value of the field | | | label | string | Label of the field as shown on screen | | | **Name** | **Type** | **Description** | **Notes** | | --- | --- | --- | --- | | euf_ref(n) | string | Name of the field, also indicate field type | (n) indicates the field number | | value | structure | The value of the field. "short" and "description" | | | label | string | Label of the field as shown on screen | | #### subproject | **Name** | **Type** | **Description** | **Notes** | | --- | --- | --- | --- | | id | integer | The id of the subproject | | | name | string | The name of the subproject | | | owner | string | The owner of the subproject | | | hasactivities | boolean | Tell if the subproject has any activities | true = Yes the subproject has activities false = no there are no activities for the subproject | **Sample JSON Response** json result ``` [ { "project_id":12, "project_name":"Project 001", "project_title":"Project 001", "main_network":1, "project_start":"2020-01-01T00:00:00", "project_end":"2020-12-31T00:00:00", "project_client":"", "logo_bmp":"", "client_bmp":"", "owner":"SAFRANSA", "cut_off_dow":1, "contractor":"", "freetext1":"", "freetext2":"", "freetext3":"", "freetext4":"", "mr_def_field":"", "ub_def_field":"", "network_id":1, "network_name":"Project 001", "description":"Project 001", "ana_date":"2020-04-06T13:45:24.76", "ana_tnow":"2020-03-19T00:00:00", "user_name":"SAFRANSA", "cal_id":1, "profileset":1, "codeset":1, "calc_id":0, "lock_scope":0, "auto_sum_scope":0, "resource_set":1, "symbol_set":1, "os_scope":1, "disable_split_targets":0, "gsid":0, "prog_handling_method":0, "rate_type":1, "rate_set":0, "ana_off":0, "stretch":0, "longest_path":0, "float_opt":0, "dependencies":0, "progress":0, "save_ana_flag":1, "sch_opt":3, "sch_overload_opt":0, "sch_filter":"", "sch_sort":"12\t1\t16\t1\t2\t0", "is_template":0, "status_method":1, "enterprisefield":{ "euf_text4":{ "value":"Dexter Steele", "label":"Responsible Planner" }, "euf_flag3":{ "value":true, "label":"Opticom" }, "euf_ref1":{ "value":{ "description":"Active", "_short":"A" }, "label":"Project Status" }, "euf_ref2":{ "value":{ "description":"", "_short":"Best" }, "label":"Enterpries Field 34592" } }, "subproject":[ { "id":107, "name":"SUB_BETONG", "description":"Betongprosjekter", "owner":"SAFRANSA", "hasactivities":true } ], "item_guid":"7bf1cecc-ef7a-4605-bbf7-745092b740f0", "lastupdatedutc":"2020-04-06T11:45:25.17" } ] ```